// TransmitMsgCyclicallyDlg.h : header file
//

#if !defined(AFX_TRANSMITMSGCYCLICALLYDLG_H__872C89DC_6CD5_4F24_B999_1E314692213E__INCLUDED_)
#define AFX_TRANSMITMSGCYCLICALLYDLG_H__872C89DC_6CD5_4F24_B999_1E314692213E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTransmitMsgCyclicallyDlg dialog

class CTransmitMsgCyclicallyDlg : public CDialog
{
// Construction
public:
	CTransmitMsgCyclicallyDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTransmitMsgCyclicallyDlg)
	enum { IDD = IDD_TRANSMITMSGCYCLICALLY_DIALOG };
	CButton	m_rtr;
	CComboBox	m_baud;
	CComboBox	m_boardno;
	CEdit	m_time;
	CListCtrl	m_msglist;
	CButton	m_mode;
	CComboBox	m_dlen;
	CEdit	m_id;
	CEdit	m_d7;
	CEdit	m_d6;
	CEdit	m_d5;
	CEdit	m_d4;
	CEdit	m_d3;
	CEdit	m_d2;
	CEdit	m_d1;
	CEdit	m_d0;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTransmitMsgCyclicallyDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTransmitMsgCyclicallyDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnActiveButton();
	afx_msg void OnSelchangeDlenCombo();
	virtual void OnCancel();
	afx_msg void OnAddButton();
	afx_msg void OnDeleteButton();
	afx_msg void OnEnableButton();
	afx_msg void OnDisableButton();
	afx_msg void OnRtrCheck();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRANSMITMSGCYCLICALLYDLG_H__872C89DC_6CD5_4F24_B999_1E314692213E__INCLUDED_)
